package cn.novalon.manage.sys.core.command;

/**
 * 更新角色命令对象
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public record UpdateRoleCommand(
        Long id,
        String roleName,
        String roleKey,
        Integer roleSort,
        Integer status
) {
    public static UpdateRoleCommand of(Long id, String roleName, String roleKey, Integer roleSort, Integer status) {
        return new UpdateRoleCommand(id, roleName, roleKey, roleSort, status);
    }
}
